@font-face {
    font-family: 'Satoshi-Variable';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Variable.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Variable.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Variable.ttf') format('truetype');
         font-weight: 300 900;
         font-display: swap;
         font-style: normal;
  }


  /**
  * This is a variable font
  * You can controll variable axes as shown below:
  * font-variation-settings: 'wght' 900.0;
  *
  * available axes:

  * 'wght' (range from 300.0 to 900.0)

  */

  @font-face {
    font-family: 'Satoshi-VariableItalic';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-VariableItalic.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-VariableItalic.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-VariableItalic.ttf') format('truetype');
         font-weight: 300 900;
         font-display: swap;
         font-style: italic;
  }


  @font-face {
    font-family: 'Satoshi-Light';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Light.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Light.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Light.ttf') format('truetype');
         font-weight: 300;
         font-display: swap;
         font-style: normal;
  }


  @font-face {
    font-family: 'Satoshi-LightItalic';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-LightItalic.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-LightItalic.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-LightItalic.ttf') format('truetype');
         font-weight: 300;
         font-display: swap;
         font-style: italic;
  }


  @font-face {
    font-family: 'Satoshi-Regular';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Regular.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Regular.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Regular.ttf') format('truetype');
         font-weight: 400;
         font-display: swap;
         font-style: normal;
  }


  @font-face {
    font-family: 'Satoshi-Italic';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Italic.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Italic.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Italic.ttf') format('truetype');
         font-weight: 400;
         font-display: swap;
         font-style: italic;
  }


  @font-face {
    font-family: 'Satoshi-Medium';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Medium.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Medium.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Medium.ttf') format('truetype');
         font-weight: 500;
         font-display: swap;
         font-style: normal;
  }


  @font-face {
    font-family: 'Satoshi-MediumItalic';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-MediumItalic.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-MediumItalic.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-MediumItalic.ttf') format('truetype');
         font-weight: 500;
         font-display: swap;
         font-style: italic;
  }


  @font-face {
    font-family: 'Satoshi-Bold';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Bold.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Bold.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Bold.ttf') format('truetype');
         font-weight: 700;
         font-display: swap;
         font-style: normal;
  }


  @font-face {
    font-family: 'Satoshi-BoldItalic';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-BoldItalic.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-BoldItalic.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-BoldItalic.ttf') format('truetype');
         font-weight: 700;
         font-display: swap;
         font-style: italic;
  }


  @font-face {
    font-family: 'Satoshi-Black';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Black.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Black.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-Black.ttf') format('truetype');
         font-weight: 900;
         font-display: swap;
         font-style: normal;
  }


  @font-face {
    font-family: 'Satoshi-BlackItalic';
    src: url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-BlackItalic.woff2') format('woff2'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-BlackItalic.woff') format('woff'),
         url('https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/Satoshi-BlackItalic.ttf') format('truetype');
         font-weight: 900;
         font-display: swap;
         font-style: italic;
  }


html, body, .brainfish-body, .brainfish-editor div {
  font-family: Satoshi-Variable, system-ui, -apple-system, "Segoe UI", Roboto, Ubuntu, Cantarell, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
  font-weight: 500 !important;
}

.text-4xl {
font-family: Satoshi-Variable, system-ui, -apple-system, "Segoe UI", Roboto, Ubuntu, Cantarell, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
color:#171717;
font-weight: 500;
font-size: 32px;
}

.bg-gradient-to-br {
  background-color: #a3e635 !important;
  background-image: none !important;
  border-bottom: 1px solid #171717;
}

.chat-bubble {
  color: white !important;
  background-color: hsl(var(--p)/var(--tw-bg-opacity)) !important;
}

.navbar {
    background-color: white !important;
    border-bottom: 1px solid #171717 !important;
}

.card {
    box-shadow: none !important;
    --tw-shadow: none !important;
    --tw-shadow-colored: none !important;
}

.text-md.mb-2.font-semibold.text-primary {
    color: black !important;
}

.card {
    border: #171717 1px solid !important;
    border-radius: 4px !important;
}

.card .group.flex.h-full.flex-row {
    border: none !important;
}
.input-lg, .group.flex .font-primary, .btn .btn-ghost, .text-base-content {
    color: #171717 !important;
}


.group.flex.h-full.flex-col.justify-between.overflow-hidden.rounded-lg {
    border: none !important;
    background-color: #FFF !important;
}

.input-lg {
    border: 1px solid #171717 !important;
    background-color: white !important;
    border-radius: 4px !important;
}

.text-md.mb-2.font-semibold.text-primary svg path {
    fill: #F8C231 !important;
}

.flex.w-full.bg-base-200 {
    background-color: white !important;
    border: black 1px solid !important;
}

.btn.btn-circle.btn-error {
    background-color: #FF445E !important;
    border-color: #171717;
}

.btn.btn-circle.btn-error svg path{
    fill: white !important;
}
.btn.btn-circle.btn-success {
    background-color: #33C99C !important;
    border-color: #171717;
}

.btn.btn-circle.btn-success svg path {
    fill: #171717 !important;
}

.text-base-content {
    color: #171717 !important;
}
.btn-outline.btn-active, .btn-outline:hover {
    background-color: #171717 !important;
    color: white !important;
}

.btn-outline, .breadcrumbs {
    color: #171717 !important;
}
.flex.cursor-pointer.justify-between.bg-base-200.p-4.text-base-content.rounded-lg {
    border: 1px solid #171717 !important;
    border-radius: 4px;
    background-color: white !important;
}

.max-w-96.card.m-2.cursor-pointer.bg-base-100 {
    background-color: white !important;
}

.mt-2.overflow-hidden.bg-transparent.px-5 {
    border-radius: 4px;
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.mt-2.overflow-hidden.bg-transparent.px-5 .flex-row {
    border: none !important;
    padding-left: 0;
}

:root, [data-theme] {
    color: #171717 !important;
}

.brainfish-editor div {
    color: #171717 !important;
}

.footer, .footer.text-base-content {
    background-color: #171717 !important;
    color: white !important;
}

.footer a img {
    content: url("https://s3.us-east-2.amazonaws.com/assets.brainfi.sh/brainfish-styles/bf-logo-white.svg");
}

footer .grid-flow-col.gap-4 .flex.flex-row {
    display: grid !important;
}

footer .grid-flow-col.gap-4 .flex.flex-row svg path:first-child {
    stroke: white !important;
}
footer .grid-flow-col.gap-4 .flex.flex-row svg path:last-child {
    fill: white !important;
}

.bg-base-200 {
    background-color: #F5F5F5 !important;
}

.form-control svg {
    width: 24px;
}

.flex.flex-row.items-center.w-full.cursor-pointer.p-4.text-base-content, .flex.flex-col.relative .mb-auto {
    background-color: white;
}

.mt-2 .flex.flex-row.items-center.w-full.cursor-pointer.p-4.text-base-content {
    background: none !important;
}